From 8be19b4e7f48f40a82e8f308d443f1e1540e33d2 Mon Sep 17 00:00:00 2001
From: Mark Dilger <mark.dilger@enterprisedb.com>
Date: Mon, 27 Sep 2021 11:39:29 -0700
Subject: [PATCH v1 2/3] Harden test againt premature discarding of WAL

Not setting wal_keep_size when testing pg_basebackup makes the test
brittle.  Set it large enough that in practice it should not need to
be increased even if future commits change how much data gets WAL
logged.
---
 src/bin/pg_basebackup/t/010_pg_basebackup.pl | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/bin/pg_basebackup/t/010_pg_basebackup.pl b/src/bin/pg_basebackup/t/010_pg_basebackup.pl
index a2cb2a7679..64668a8b28 100644
--- a/src/bin/pg_basebackup/t/010_pg_basebackup.pl
+++ b/src/bin/pg_basebackup/t/010_pg_basebackup.pl
@@ -64,6 +64,7 @@ open my $conf, '>>', "$pgdata/postgresql.conf";
 print $conf "max_replication_slots = 10\n";
 print $conf "max_wal_senders = 10\n";
 print $conf "wal_level = replica\n";
+print $conf "wal_keep_size = 10GB\n";
 close $conf;
 $node->restart;
 
-- 
2.21.1 (Apple Git-122.3)

